Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.app.analyst
Class ConsoleAnalystListener

    java.lang.Object
      org.encog.app.analyst.ConsoleAnalystListener

All Implemented Interfaces:
  AnalystListener

    public class ConsoleAnalystListener

extends Object
implements AnalystListener

A console implementation of the Encog Analyst listener. Will report all progress to the console.

Constructor Summary
`ConsoleAnalystListener()`

Method Summary
`void` | `report(int total, int current, String message)` Report progress on a task.
`void` | `reportCommandBegin(int total, int current, String name)` Report that a command has begun.
`void` | `reportCommandEnd(boolean cancel)` Report that a command has ended.
`void` | `reportTraining(MLTrain train)` Report progress on training.
`void` | `reportTrainingBegin()` Report that training has begun.
`void` | `reportTrainingEnd()` Report that training has ended.
`void` | `requestCancelCommand()` Request to cancel current command.
`void` | `requestShutdown()` Request stop the entire process.
`boolean` | `shouldShutDown()`
`boolean` | `shouldStopCommand()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsoleAnalystListener

    public ConsoleAnalystListener()

Method Detail

### report

    public final void report(int total,
                             int current,
                             String message)

  Report progress on a task.

  Specified by:
    `report` in interface `AnalystListener`
  Parameters:
    `total` - The total number of commands.
    `current` - The current command.
    `message` - The message.

### reportCommandBegin

    public final void reportCommandBegin(int total,
                                         int current,
                                         String name)

  Report that a command has begun.

  Specified by:
    `reportCommandBegin` in interface `AnalystListener`
  Parameters:
    `total` - The total parts.
    `current` - The current part.
    `name` - The name of that command.

### reportCommandEnd

    public final void reportCommandEnd(boolean cancel)

  Report that a command has ended.

  Specified by:
    `reportCommandEnd` in interface `AnalystListener`
  Parameters:
    `cancel` - True if this command was canceled.

### reportTraining

    public final void reportTraining(MLTrain train)

  Report progress on training.

  Specified by:
    `reportTraining` in interface `AnalystListener`
  Parameters:
    `train` - The training object.

### reportTrainingBegin

    public void reportTrainingBegin()

  Report that training has begun.

  Specified by:
    `reportTrainingBegin` in interface `AnalystListener`

### reportTrainingEnd

    public void reportTrainingEnd()

  Report that training has ended.

  Specified by:
    `reportTrainingEnd` in interface `AnalystListener`

### requestCancelCommand

    public final void requestCancelCommand()

  Request to cancel current command.

  Specified by:
    `requestCancelCommand` in interface `AnalystListener`

### requestShutdown

    public final void requestShutdown()

  Request stop the entire process.

  Specified by:
    `requestShutdown` in interface `AnalystListener`

### shouldShutDown

    public final boolean shouldShutDown()

  Specified by:
    `shouldShutDown` in interface `AnalystListener`
  Returns:
    True if the entire process should be stopped.

### shouldStopCommand

    public final boolean shouldStopCommand()

  Specified by:
    `shouldStopCommand` in interface `AnalystListener`
  Returns:
    True if the current command should be stopped.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.